from SPARC.serp_api import SERP

patents = SERP.query("nvidia")

for patent in patents.patents:
  patent = SERP.save_patents(patent)
  patent.summary = SERP.parse_patent_pdf(patent.pdf_path)
  print(patent.summary)

print(patents)
